enum Language {
  english('en'),
  arabic('ar'),
  chinese('zh'),
  czech('cs'),
  dutch('nl'),
  french('fr'),
  german('de'),
  italian('it'),
  hindi('hi'),
  hinglish('hi-Latn'),
  indonesian('id'),
  japanese('ja'),
  korean('ko'),
  polish('pl'),
  portuguese('pt'),
  russian('ru'),
  spanish('es'),
  swedish('sv');

  final String code;

  const Language(this.code);

  static Language fromCode(String code) => Language.values.firstWhere(
        (e) => e.code == code,
        orElse: () => throw ArgumentError.value(
          code,
          'code',
          'Invalid language code.',
        ),
      );
}
